Pular para o conteúdo principal
GET
/
requests
Listar requisições
curl --request GET \
  --url https://requests.production.judit.io/requests \
  --header 'Authorization: Bearer <token>'
{
  "page": 123,
  "page_data": [
    {
      "request_id": "<string>",
      "search": {
        "search_key": "<string>",
        "search_params": {
          "full_lawsuit": true,
          "should_search_branches": true,
          "public_search": true,
          "lawsuit_instance": 123,
          "attachment_id": "<string>",
          "attachment_extension": "<string>",
          "filter": {
            "party_names": [
              "<string>"
            ],
            "party_documents": [
              "<string>"
            ],
            "distribution_date_gte": "2023-11-07T05:31:56Z",
            "distribution_date_lte": "2023-11-07T05:31:56Z",
            "last_step_date_gte": "2023-11-07T05:31:56Z",
            "last_step_date_lte": "2023-11-07T05:31:56Z",
            "tribunals": {
              "keys": [
                "<string>"
              ],
              "not_equal": true
            },
            "classification_codes": {
              "keys": [
                "<string>"
              ],
              "not_equal": true
            },
            "classification_names": {
              "keys": [
                "<string>"
              ],
              "not_equal": true
            },
            "subject_codes": {
              "contains": [
                "<string>"
              ],
              "not_contains": [
                "<string>"
              ]
            },
            "subject_names": {
              "contains": [
                "<string>"
              ],
              "not_contains": [
                "<string>"
              ]
            },
            "amount_lte": 123,
            "amount_gte": 123
          },
          "pagination": {
            "page": 123,
            "page_size": 123
          },
          "credential": {
            "customer_key": "<string>"
          }
        },
        "on_demand": true,
        "cache_ttl_in_days": 123
      },
      "origin_id": "<string>",
      "company_id": "<string>",
      "user_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "started_at": "2023-11-07T05:31:56Z",
      "cancelled_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z",
      "with_attachments": true,
      "tags": {},
      "source_name": "<string>",
      "judit_ia": [],
      "cost": 123,
      "callback_url": "<string>",
      "responses_count": 123,
      "filters_count": 123,
      "is_unique_name": true,
      "ip": "<string>",
      "trace_id": "<string>"
    }
  ],
  "page_count": 123,
  "all_count": 123,
  "all_pages_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.judit.io/llms.txt

Use this file to discover all available pages before exploring further.

Autorizações

Authorization
string
header
obrigatório

JWT Bearer token for authentication

Parâmetros de consulta

company_id
string[]
user_id
string[]
origin
string[]
origin_id
string[]
request_id
string[]
status
string[]
plan_config_type
string[]
ip
string[]
with_attachments
boolean
callback_url
string[]
judit_ia
string[]
responses_count_gte
number
responses_count_lte
number
filters_count_gte
number
filters_count_lte
number
search_type
string[]
search_key
string[]
response_type
string[]
lawsuit_instance
integer
Intervalo obrigatório: 1 <= x <= 3
on_demand
boolean
full_lawsuit
boolean
should_search_branches
boolean
customer_key
string[]
side
string[]
tribunals
string[]
tags
object
created_at_gte
string<date-time>
obrigatório
created_at_lte
string<date-time>
obrigatório
updated_at_gte
string<date-time>
updated_at_lte
string<date-time>
started_at_gte
string<date-time>
started_at_lte
string<date-time>
cancelled_at_gte
string<date-time>
cancelled_at_lte
string<date-time>
completed_at_gte
string<date-time>
completed_at_lte
string<date-time>
order
object
page
number
padrão:1
obrigatório
Intervalo obrigatório: x >= 1
page_size
number
padrão:10
obrigatório
Intervalo obrigatório: 5 <= x <= 100

Resposta

Successful response

page
number
obrigatório
page_data
object[]
obrigatório
page_count
number
obrigatório
all_count
number
obrigatório
all_pages_count
number
obrigatório